<template>
  <div>
    <h1 class="user-list">
      Clients List
    </h1>
    <el-table
      :data="tableData"
      style="width: 100%; padding:8%"
      :row-class-name="tableRowClassName"
    >
      <el-table-column
        label="Name"
        width="280"
      >
        <template slot-scope="scope">
          <span style="margin-left: 10px">{{ scope.row.name }}</span>
        </template>
      </el-table-column>
      <el-table-column
        label="ClientIP"
        width="280"
      >
        <template slot-scope="scope">
          <div
            slot="reference"
            class="name-wrapper"
          >
            {{ scope.row.clientIP }}
          </div>
        </template>
      </el-table-column>
      <el-table-column
        label="StreamURL"
        width="430"
      >
        <template slot-scope="scope">
          <div
            slot="reference"
            class="name-wrapper"
          >
            {{ scope.row.StreamURL }}
          </div>
        </template>
      </el-table-column>
      <el-table-column
        label="Operations"
        width="330"
      >
        <template slot-scope="scope">
          <el-button
            size="mini"
            @click="showLive(scope.row.clientIP)"
          >
            showLive
          </el-button>
        </template>
      </el-table-column>
      <el-table-column
        label="Type"
        width="230"
      >
        <template slot-scope="scope">
          <img
            v-if="sosData[scope.row.clientIP]"
            alt="SOS"
            src="../assets/images/alert.gif"
            style="height:40px;width:40px"
          >
          <div
            slot="reference"
            class="name-wrapper"
            style="display:none"
          >
            {{ scope.row.clientIP }}
          </div>
        </template>
      </el-table-column>
    </el-table>

    <!---LiveDialogue------>

    <el-dialog
      title="Live"
      :visible.sync="LiveVisible"
      style="hight:400px"
    >
      <img
        alt="video"
        :src="videoFile"
        width="100%"
        height="400px"
        class="zoom"
      >
    </el-dialog>
  </div>
</template>

<script lang="js">
import axios from 'axios'

export default {
  name: 'Admin',
  data () {
    return {
      tableData: [],
      videoFile: '',
      LiveVisible: false,
      sosData: {}
    }
  },
  mounted () {
    setInterval(() => {
      this.getUsers()
    }, 10000)
  },
  methods: {
    tableRowClassName ({ row, rowIndex }) {
      console.log('index', rowIndex)
    },
    getUsers () {
    //   const URL = baseUrl.baseUrl_NodeProxy + '/users_data'
      const URL = 'https://localhost:5000/users_data'
      axios.get(URL)
        .then(response => {
          this.tableData = response.data
          this.getSOSData()
        })
        .catch(error => {
          this.errorMessage = error.message
          this.$notify.error({
            message: 'Error In Getting userData'
          })
        })
    },
    showLive (ip) {
      console.log('clientip...', ip)
      //   const URL = baseUrl.baseUrl + '/showLive/' + ip
      const URL = 'https://localhost:5000/showLive/' + ip
      axios.get(URL)
        .then(response => {
          this.videoFile = response.data
          this.LiveVisible = true
        })
        .catch(error => {
          this.errorMessage = error.message
          this.$notify.error({
            message: 'Error In Getting LIVE'
          })
        })
    },
    getSOSData () {
      console.log('new', this.deviceIP)
      // const URL = baseUrl.baseUrl_NodeProxy + '/getSOS'
      const URL = 'https://localhost:5000/getSOS'
      axios.get(URL)
        .then(response => {
          let data = response.data
          for (var i = 0; i < data.length; i++) {
            console.log('mmmm', data[i][3])
            this.sosData[data[i][3]] = data[i][3]
          }
        })
        .catch(error => {
          this.errorMessage = error.message
          this.$notify.error({
            message: 'Error In Getting SOS'
          })
        })
    }
  }
}
</script>

<style scoped lang="less">
.user-list {
    text-align: center;
    position: absolute;
    top: 150px;
    color: white;
    width: 100%;
}
</style>
